fastapi==0.115.0
uvicorn[standard]==0.30.1

pydantic==2.7.4
pydantic[email]==2.7.4
python-dotenv==1.0.1

psycopg2-binary==2.9.9

# Authentication
python-jose[cryptography]==3.3.0
passlib[bcrypt]==1.7.4
python-multipart==0.0.9
bcrypt==4.1.2

# Email
aiosmtplib==3.0.2

# OAuth
authlib==1.3.0
httpx==0.27.0
itsdangerous==2.1.2

# Backup to R2
boto3==1.34.17
APScheduler==3.10.4
